﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;
using System.Diagnostics;

namespace MyProject
{
    [TestClass]
    public class Verifications
    {
        IWebDriver driver;

        [TestMethod]
        public void nikeTest()
        {
            String actualResult;
            String expectedResult = "(573)";

            driver = new ChromeDriver();
            driver.Manage().Timeouts().ImplicitlyWait(TimeSpan.FromSeconds(10));
            driver.Manage().Window.Maximize();
            driver.Navigate().GoToUrl("https://www.nike.com/il/en_gb/");
            driver.FindElement(By.CssSelector("li[data-nav-tracking='men']")).Click();
            driver.FindElement(By.LinkText("All Shoes")).Click();
            actualResult = driver.FindElement(By.ClassName("nsg-text--medium-light-grey")).Text;

            if (actualResult.Equals(expectedResult))
                Debug.WriteLine("Number of Results Matches");
            else
                Debug.WriteLine("Number of Results Does Not Match");

            IWebElement searchBar = driver.FindElement(By.Id("gnav-bar--search-input"));

            if(searchBar.Enabled)
                Debug.WriteLine("Search Bar is Enabled");
		else
                Debug.WriteLine("Search Bar is NOT Enabled");
		
		if(searchBar.Displayed)
            Debug.WriteLine("Search Bar is Displayed");
		else
            Debug.WriteLine("Search Bar is NOT Displayed");
		
		if(searchBar.Selected)
            Debug.WriteLine("Search Bar is Selected");
		else
            Debug.WriteLine("Search Bar is NOT Selected");
		
		driver.Quit();
        }
    }
}

